<?php
/**
 * The template for displaying single posts and pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Dolpa
 * @since 1.0.0
 */
get_header();

    $dolpa_default = dolpa_get_default_theme_options();
    $sidebar = get_theme_mod( 'global_sidebar_layout', $dolpa_default['global_sidebar_layout'] );
    $dolpa_post_sidebar = get_post_meta( $post->ID, 'dolpa_post_sidebar_option', true );
    $theme_navigation_type = get_post_meta( get_the_ID(), 'theme_disable_ajax_load_next_post', true );
    $dolpa_archive_layout = get_theme_mod( 'dolpa_archive_layout', $dolpa_default['dolpa_archive_layout'] );
  
    global $post;
    $single_layout_class = ' single-layout-default';

    if( $theme_navigation_type == '' || $theme_navigation_type == 'global-layout' ){
        $theme_navigation_type = get_theme_mod('theme_navigation_type', $dolpa_default['theme_navigation_type']);
    }
    $dolpa_ed_post_rating = get_post_meta( $post->ID, 'dolpa_ed_post_rating', true );
    if( $dolpa_post_sidebar == 'global-sidebar' || empty( $dolpa_post_sidebar ) ){
        $sidebar = $sidebar;
    }else{
        $sidebar = $dolpa_post_sidebar;
    }
    $dolpa_post_layout = get_post_meta( $post->ID, 'dolpa_post_layout', true );
    if( $dolpa_post_layout == '' || $dolpa_post_layout == 'global-layout' ){
        
        $dolpa_post_layout = get_theme_mod( 'dolpa_single_post_layout',$dolpa_default['dolpa_archive_layout'] );
    }
    if( $dolpa_post_layout == 'layout-2' ){
        $single_layout_class = ' single-layout-banner';
    }  ?>

    <div class="singular-main-block">
        <div class="wrapper">
            <div class="wrapper-inner">

                <div id="primary" class="content-area">
                    <main id="site-content" class="<?php if( $dolpa_ed_post_rating ){ echo 'dolpa-no-comment'; } ?>" role="main">

                        <?php

                        if( have_posts() ): ?>

                            <div class="article-wraper <?php echo esc_attr($single_layout_class); ?>">

                                <?php while (have_posts()) :
                                    the_post();

                                    get_template_part('template-parts/content', 'single');

                                    /**
                                     *  Output comments wrapper if it's a post, or if comments are open,
                                     * or if there's a comment number – and check for password.
                                    **/

                                    if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && !post_password_required() ) { ?>

                                        <div class="comments-wrapper">
                                            <?php comments_template(); ?>
                                        </div><!-- .comments-wrapper -->

                                    <?php
                                    }

                                endwhile; ?>

                            </div>

                        <?php
                        else :

                            get_template_part('template-parts/content', 'none');

                        endif;

                        /**
                         * Navigation
                         *
                         * @hooked dolpa_related_posts - 20  
                         * @hooked dolpa_single_post_navigation - 30  
                        */
                        if ('post' === get_post_type()) {
                            do_action('dolpa_navigation_action');
                        } ?>

                    </main><!-- #main -->
                </div>

                <?php if ($sidebar != 'no-sidebar') {

                    if( dolpa_check_woocommerce_page() ){ ?>

                        <aside id="secondary" class="widget-area">
                            <?php dynamic_sidebar('dolpa-woocommerce-widget'); ?>
                        </aside><!-- #secondary -->

                    <?php
                    }else{
                        get_sidebar();
                    }
                    
                } ?>

            </div>
        </div>
    </div>

<?php
get_footer();
