<?php
/**
 * Header Layout 1
 *
 * @package Dolpa
 */
$dolpa_default = dolpa_get_default_theme_options();
$dolpa_responsive_menu = get_theme_mod('dolpa_responsive_menu', $dolpa_default['dolpa_responsive_menu']);
if( $dolpa_responsive_menu ){
    $header_class = 'enabled-responsive-menu';
}else{
    $header_class = 'disabled-responsive-menu';
}
?>

<header id="site-header" class="site-header-layout header-layout-1 <?php echo esc_attr( $header_class ) ?>" role="banner">
    <div class="header-navbar">
        <div class="wrapper">

            <div class="navbar-item navbar-item-left">
                <div class="header-titles">
                    <?php
                    dolpa_site_identity();
                    ?>
                </div><!-- .header-titles -->
            </div><!-- .navbar-item-left -->

            <div class="navbar-item navbar-item-right">
                
                <div class="navbar-controls hide-no-js">
                    <?php
                    $dolpa_header_search = get_theme_mod( 'dolpa_header_search', $dolpa_default['dolpa_header_search'] );
                    if( $dolpa_header_search ){ ?>
                        <button type="button" class="navbar-control button-style button-transparent navbar-control-search"><?php dolpa_the_theme_svg('search'); ?></button>
                    <?php } ?>

                    <?php dolpa_header_mini_cart(); ?>
                
                    <button type="button" class="navbar-control button-style button-transparent navbar-control-offcanvas">
                        <span class="bars">
                            <span class="bar"></span>
                            <span class="bar"></span>
                            <span class="bar"></span>
                        </span>
                    </button>

                </div>

            </div><!-- .navbar-item-right -->

        </div><!-- .header-inner -->
    </div>

    <?php
    $dolpa_primary_menu = get_theme_mod('dolpa_primary_menu', $dolpa_default['dolpa_primary_menu']);
    ?>

    <div class="header-navigation-wrapper">
        <div class="wrapper">
            <nav id="site-navigation" class="main-navigation">
                <?php
                if( $dolpa_primary_menu ){
                    wp_nav_menu(array(
                        'theme_location' => 'dolpa-primary-menu',
                        'menu_id' => 'primary-menu',
                        'container' => 'div',
                        'container_class' => 'menu'
                    ));
                } ?>
            </nav><!-- #site-navigation -->
        </div>
    </div><!-- .header-navigation-wrapper -->

</header><!-- #site-header -->